<?php

date_default_timezone_set('Europe/Berlin');
set_time_limit(0);

exec_cmd("rsync -e ssh -avz --bwlimit=5000 --exclude=temp/captchas --exclude=temp/signs --exclude=temp/photos root@172.16.0.122:/srv/www/sb/* /home/mps2/stadtbote/");
exec_cmd("rsync -e ssh -avz --bwlimit=5000 --exclude=temp/captchas --exclude=temp/signs --exclude=temp/photos root@172.16.0.122:/srv/www/ht/* /home/mps2/hansetrans/");
//exec_cmd("rsync -e ssh -avz --bwlimit=5000 --exclude=temp/captchas --exclude=temp/signs --exclude=temp/download --exclude=import/upload/HTM/mobile_pics root@172.16.0.122:/srv/www/htm/* /home/mps2/htm/");
// 08.04.2016: Option "--exclude=documents/photos" wurde enfernt
exec_cmd("rsync -e ssh -avz --bwlimit=5000 root@172.16.0.122:/srv/www/mps1/intern/ /home/mps2/intern/");
exec_cmd("rsync -e ssh -avz --bwlimit=5000 root@172.16.0.122:/srv/www/mps1/timetracker/ /home/mps2/timetracker/");
//exec_cmd("rsync -e ssh -avz --bwlimit=5000 root@172.16.0.122:/srv/www/mps1/stadtbote_auto/ /home/mps2/stadtbote_auto/");
//exec_cmd("rsync -e ssh -avz --bwlimit=5000 root@172.16.0.122:/srv/www/mps1/moebel/ /home/mps2/moebel/");
exec_cmd("rsync -e ssh -avz --bwlimit=5000 --exclude='*.log' --exclude='*.php' root@172.16.0.122:/root/votian_admin/ /root/votian_admin/");

function exec_cmd($cmd){

  $cmd .= " >> /root/votian_admin/do_rsync.log 2>&1";
  writeLog("\"$cmd\"");
  exec($cmd);
}

function writeLog($log_text)
{
  $fileHandle = @fopen("/root/votian_admin/do_rsync.log", 'a');
  @fwrite($fileHandle, "[" . date("Y-m-d H:i:s") . "] " . $log_text .  "\n");
  @fclose($fileHandle);
  return;
}

?>
